#### D.5.5.4 NakYoshF

Procedure from library `goettsche.lib` (see goettsche_lib).

Usage:
  NakYoshF(z, t, r, n); z, t polynomials, r, n integers

Return:
  polynomial in z and t

Purpose:
  computes the formula of Nakajima and Yoshioka
  up to degree n in t

Note:
  zero is returned if n<0 or r<=0

Example:

    LIB "goettsche.lib";
    ring r=0, (t, z), ls;
    // get the Nakajima-Yoshioka formula for r=1 up to degree 3, i.e.,
    // the generating function for the Poincare polynomials of the
    // punctual Hilbert schemes of n planar points
    print( NakYoshF(z, t, 1, 3) );
    ==> 1+t+t2+t2z2+t3+t3z2+t3z4

User manual for Singular version 4.4.1, 2025, generated by texi2html.